orte/mca/ns/base/ns_base_local_fns.c File Reference.TH "orte/mca/ns/base/ns_base_local_fns.c" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/ns/base/ns_base_local_fns.c \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include <stdio.h>\fP
.br
\fC#include <string.h>\fP
.br
\fC#include <stddef.h>\fP
.br
\fC#include <stdlib.h>\fP
.br
\fC#include 'include/constants.h'\fP
.br
\fC#include 'opal/util/output.h'\fP
.br
\fC#include 'opal/util/printf.h'\fP
.br
\fC#include 'mca/mca.h'\fP
.br
\fC#include 'mca/errmgr/errmgr.h'\fP
.br
\fC#include 'mca/ns/base/base.h'\fP
.br

.SS "Functions"

.in +1c
.ti -1c
.RI "int \fBorte_ns_base_module_init_not_available\fP (void)"
.br
.RI "\fIglobals \fP"
.ti -1c
.RI "int \fBorte_ns_base_create_cellid_not_available\fP (orte_cellid_t *cellid, char *site, char *resource)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_cell_info_not_available\fP (orte_cellid_t cellid, char **site, char **resource)"
.br
.ti -1c
.RI "int \fBorte_ns_base_create_jobid_not_available\fP (\fBorte_jobid_t\fP *jobid)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_vpid_range_not_available\fP (\fBorte_jobid_t\fP job, orte_vpid_t range, orte_vpid_t *startvpid)"
.br
.ti -1c
.RI "int \fBorte_ns_base_assign_rml_tag_not_available\fP (\fBorte_rml_tag_t\fP *tag, char *name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_define_data_type_not_available\fP (const char *name, \fBorte_data_type_t\fP *type)"
.br
.ti -1c
.RI "int \fBorte_ns_base_create_my_name_not_available\fP (void)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_job_peers_not_available\fP (orte_process_name_t **procs, size_t *num_procs, \fBorte_jobid_t\fP job)"
.br
.ti -1c
.RI "int \fBorte_ns_base_dump_cells_not_available\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_base_dump_jobs_not_available\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_base_dump_tags_not_available\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_base_dump_datatypes_not_available\fP (int output_id)"
.br
.ti -1c
.RI "int \fBorte_ns_base_assign_cellid_to_process\fP (orte_process_name_t *name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_create_process_name\fP (orte_process_name_t **name, orte_cellid_t cell, \fBorte_jobid_t\fP job, orte_vpid_t vpid)"
.br
.ti -1c
.RI "int \fBorte_ns_base_derive_vpid\fP (orte_vpid_t *vpid, orte_vpid_t base_vpid, int offset)"
.br
.ti -1c
.RI "int \fBorte_ns_base_copy_process_name\fP (orte_process_name_t **dest, orte_process_name_t *src)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_proc_name_string\fP (char **name_string, const orte_process_name_t *name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_convert_string_to_process_name\fP (orte_process_name_t **name, const char *name_string)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_vpid_string\fP (char **vpid_string, const orte_process_name_t *name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_convert_vpid_to_string\fP (char **vpid_string, const orte_vpid_t vpid)"
.br
.ti -1c
.RI "int \fBorte_ns_base_convert_string_to_vpid\fP (orte_vpid_t *vpid, const char *vpidstring)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_jobid_string\fP (char **jobid_string, const orte_process_name_t *name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_convert_jobid_to_string\fP (char **jobid_string, const \fBorte_jobid_t\fP jobid)"
.br
.ti -1c
.RI "int \fBorte_ns_base_convert_string_to_jobid\fP (\fBorte_jobid_t\fP *jobid, const char *jobidstring)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_cellid_string\fP (char **cellid_string, const orte_process_name_t *name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_convert_cellid_to_string\fP (char **cellid_string, const orte_cellid_t cellid)"
.br
.ti -1c
.RI "int \fBorte_ns_base_convert_string_to_cellid\fP (orte_cellid_t *cellid, const char *cellidstring)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_vpid\fP (orte_vpid_t *vpid, const orte_process_name_t *name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_jobid\fP (\fBorte_jobid_t\fP *jobid, const orte_process_name_t *name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_cellid\fP (orte_cellid_t *cellid, const orte_process_name_t *name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_compare\fP (\fBorte_ns_cmp_bitmask_t\fP fields, const orte_process_name_t *name1, const orte_process_name_t *name2)"
.br
.ti -1c
.RI "int \fBorte_ns_base_free_name\fP (orte_process_name_t **name)"
.br
.ti -1c
.RI "int \fBorte_ns_base_get_peers\fP (orte_process_name_t **procs, size_t *num_procs, size_t *self)"
.br
.ti -1c
.RI "int \fBorte_ns_base_print_dump\fP (\fBorte_buffer_t\fP *buffer, int output_id)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
